------------------------------------------------------------------------------------
--Name:  	ValentineDay8
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-02-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(130, 151)
CppScriptMgr:SetViewScale(150)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061790, 132, 155, "Odette", 0, 0)
npc_0:SetZoomPercent(180)
npc_0:SetHide(1)
npc_0:SetDir(6)
local npc_1 = CppScriptMgr:AddSimplePlayer(1061780, 137, 155, "Leon", 0, 0)
npc_1:SetZoomPercent(180)
npc_1:SetHide(1)
npc_1:SetDir(2)
local npc_2 = CppScriptMgr:AddSimplePlayer(1060420, 117, 152, "Daisy", 0, 0)
npc_2:SetZoomPercent(150)
npc_2:SetDir(6)
npc_2:SetHide(1)
local npc_3 = CppScriptMgr:AddSimplePlayer(35607, 117, 143, "Mia", 0, 0)
npc_3:SetZoomPercent(150)
npc_3:SetHide(1)
npc_3:SetDir(6)
local npc_4 = CppScriptMgr:AddSimplePlayer(35630, 151, 162, "Oliver", 0, 0)
npc_4:SetZoomPercent(180)
npc_4:SetDir(3)
npc_4:SetHide(1)
local npc_5 = CppScriptMgr:AddSimplePlayer(1061460, 151, 152, "Maryan", 0, 0)
npc_5:SetZoomPercent(150)
npc_5:SetDir(2)
npc_5:SetHide(1)
local npc_7 = CppScriptMgr:AddSimplePlayer(1061470, 117, 162, "Jenkins", 0, 0)
npc_7:SetZoomPercent(150)
npc_7:SetDir(7)
npc_7:SetHide(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Honorable viewers, the show begins!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2177", 150, 430, "Irwin", 250, 655, false)
CppScriptMgr:WaitMilSec(2370)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 132, 155, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 137, 155, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1480)
npc_1:SetHide(0)
CppScriptMgr:WaitMilSec(70)
npc_0:SetHide(0)
CppScriptMgr:WaitMilSec(1980)
CppScriptMgr:NpcCallOut("My prince, why are you so foolish, sacrificing your life to remove the curse for me.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Odette", 250, 655, false)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(1580)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(750)
CppScriptMgr:NpcCallOut("Please don`t cry for me, beautiful princess. It`s my honor to sacrifice for you.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Leon", 250, 655, false)
CppScriptMgr:WaitMilSec(1040)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(1010)
CppScriptMgr:NpcCallOut("Before my life fades away, can you dance for me one last time?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Leon", 250, 655, false)
CppScriptMgr:WaitMilSec(1690)
CppScriptMgr:NpcCallOut("I would love to, my love!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(680)
local effect_2 = CppScriptMgr:AddEffect("irongate_superc", 117, 152, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("irongate_superc", 117, 143, 33, 1, 1, 1)
local effect_4 = CppScriptMgr:AddEffect("irongate_superc", 151, 162, 33, 1, 1, 1)
local effect_5 = CppScriptMgr:AddEffect("irongate_superc", 151, 152, 33, 1, 1, 1)
local effect_6 = CppScriptMgr:AddEffect("irongate_superc", 117, 162, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(200)
npc_1:SetAction(1111)
CppScriptMgr:WaitMilSec(80)
npc_0:SetAction(1111)
CppScriptMgr:WaitMilSec(1870)
npc_2:SetHide(0)
npc_3:SetHide(0)
npc_4:SetHide(0)
npc_5:SetHide(0)
npc_7:SetHide(0)
CppScriptMgr:WaitMilSec(1070)
CppScriptMgr:NpcCallOut("What a sublime swan dance! How touching their love is!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2023SantaBoy", 150, 430, "Jenkins", 250, 655, false)
CppScriptMgr:WaitMilSec(3620)